import os

from mu_map.file.dicom import load_dcm, load_dcm_img
from mu_map.file.dicom_to_interfile import to_interfile
from mu_map.file.interfile import load_interfile, load_interfile_img, Interfile

def is_dicom(filename: str):
    _, ext = os.path.splitext(filename)
    return ext == ".ext"

def load_as_interfile(filename: str) -> Interfile:
    if is_dicom(filename):
        return to_interfile(*load_dcm(filename))
    else:
        return load_interfile(filename)

        
def load_img(filename: str) -> Interfile:
    if is_dicom(filename):
        return load_dcm_img(filename)
    else:
        return load_interfile_img(filename)
